TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Derivative ( elt-alg^pol/res^pow f ) -> elt-alg^pol/res^pow df

### Description

<shortdoc> Returns the derivative of f. </shortdoc>

### Examples

x_PA:= PolynomialAlgebra(FiniteField(5));; x_f:= Coerce(x_PA,X^2+2);; x_PSR:= PowerSeriesRing(FiniteField(5),x_f);; x_Quo:= Quotient(x_PSR,20);; x_Quox:= PolynomialAlgebra(x_Quo);; x_ff:= x_Quox.1^2+Element(x_Quo,[1,2,3])*x_Quox.1-2; Derivative(x_ff);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack